Summary: A window manager for the X Window System.
Name: WindowMaker
Version: 0.65.1
Release: 3
License: GPL
Group: User Interface/Desktops
URL: http://windowmaker.org

Source0: ftp://windowmaker.org/pub/beta/srcs/WindowMaker-%{version}.tar.bz2
Source1: ftp://windowmaker.org/pub/WindowMaker-data.tar.gz
%define Extras extra-0.1
Source2: ftp://windowmaker.org/pub/WindowMaker-%{Extras}.tar.gz
%define wmclock_ver 1.0.12.2
Source3: http://www.ntrnet.net/~jmknoble/WindowMaker/wmclock/wmclock-%{wmclock_ver}.tar.gz
Source4: WindowMaker
Source5: WindowMaker-0.65.1-WINGs.Makefile.am
Source6: WindowMaker-0.65.1-WINGs.Makefile.in

Patch1: WindowMaker-0.51.0-areas.patch
Patch2: WindowMaker-0.65.1-runinst.patch
Patch3: WindowMaker-0.62.1-IconPosition.patch
Patch4: WindowMaker-0.62.1-acrobar.patch
Patch5: WindowMaker-0.65.0-gnome.patch
Patch6: WindowMaker-0.65.1-wmclock.patch
Patch7: wsetfont.patch
Patch8: WindowMaker-0.65.1-Big5.patch
Patch9: WindowMaker-0.65.1-fix_charset.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libPropList
Requires: libPropList, cpp
Provides: windowmanager


%description
Window Maker is an X11 window manager which emulates the look and feel
of the NeXTSTEP (TM) graphical user interface. It is relatively fast,
feature rich, and easy to configure and use. Window Maker is part of
the official GNU project, which means that Window Maker can
interoperate with other GNU projects, such as GNOME.

Window Maker allows users to switch themes 'on the fly,' as well as
place favorite applications on either an application dock (similar to
AfterStep Wharf) or on a workspace dock (a 'clip' which extends the
application dock's usefulness).

%package -n WindowMaker-libs
Summary: Window Maker libraries.
Group: Development/Libraries
Obsoletes: libwraster,libwraster-devel

%description -n WindowMaker-libs
The WindowMaker-libs package contains libraries for the Window Maker
desktop. You need to install this package if you are installing
Window Maker and/or wmakerconf.

%prep
%setup -q -a 1 -a 2 -a 3
%patch1 -p1 -b .areas
%patch2 -p1 -b .runinst
%patch3 -p1 -b .IconPosition
%patch4 -p1 -b .acrobar
%patch5 -p1 -b .gnome
%patch6 -p1 -b .jpfont
%patch7 -p1 -b .wsetfont
%patch8 -p1 -b .Big5
%patch9 -p1 -b .fix_charset

# Fix automake errors
cp %{SOURCE5} WINGs/WINGs/Makefile.am
cp %{SOURCE6} WINGs/WINGs/Makefile.in

# Adjust menu paths
for file in WindowMaker/*menu*; do
	if [ -r $file ]; then
		sed -e 's/\/usr\/local\/GNUstep/\/usr\/lib\/GNUstep/g;
			s/\/usr\/local\/share\/WindowMaker/\/usr\/share\/WindowMaker/g;
			s/ASClock/WMClock/g;
			s/asclock\( -shape\)\?/wmclock/g;
			s/\/usr\/local\/Acrobat3\/bin\/acroread/acroread/g;' < $file > $file.tmp;
		mv $file.tmp $file;
	fi;
done;

%build
LINGUAS="cs da de el es fi fr gl hr it ja ko nl no pl pt ro ru se sk tr zh_CN zh_TW.Big5"
NLSDIR=/usr/share/locale
export NLSDIR LINGUAS

%define _sysconfdir /etc/X11
%define optflags -g
# patch5 needs autoconf to run
autoconf
%configure --enable-newstyle --enable-superfluous \
	--enable-kde --enable-gnome --with-appspath=/usr/lib/GNUstep/Apps

# gettext-0.10.38ize for zh_TW.Big5.po
( cd po; \
  make WindowMaker.pot; \
  OLD_PO_FILE_INPUT=yes msgmerge zh_TW.Big5.po WindowMaker.pot > new.po; \
  mv new.po zh_TW.Big5.po; \
)

make

# build wmclock
(cd wmclock-%{wmclock_ver}
./configure --lang english
make CC="${CC}" CDEBUGFLAGS="${RPM_OPT_FLAGS}"
)

%install
rm -rf $RPM_BUILD_ROOT
cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu
%makeinstall wprefsdir=$RPM_BUILD_ROOT/usr/lib/GNUstep/Apps/WPrefs.app \
	wpexecbindir=$RPM_BUILD_ROOT/usr/lib/GNUstep/Apps/WPrefs.app \
	wpdatadir=$RPM_BUILD_ROOT/usr/lib/GNUstep/Apps/WPrefs.app \
	NLSDIR=$RPM_BUILD_ROOT/usr/share/locale 

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps
for i in $(ls */README) ; do
    echo $i | sed -e "s|\(.*\)/\(.*\)|\2\.\1|" | xargs cp $i
done

# Hook up gdm
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/

%find_lang  WindowMaker
%find_lang  WPrefs
cat WindowMaker.lang WPrefs.lang > mofiles

# Install wmclock
(cd wmclock-%{wmclock_ver}; 
make DESTDIR=$RPM_BUILD_ROOT install install.man install.share
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig -n WindowMaker-libs
%postun -p /sbin/ldconfig -n WindowMaker-libs

%files -f mofiles
%defattr(-,root,root)
%dir /etc/X11/WindowMaker
%config /etc/X11/WindowMaker/*
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ* README
%doc TODO MIRRORS README*
/usr/bin/geticonset
/usr/bin/getstyle
/usr/bin/seticons
/usr/bin/setstyle
/usr/bin/wdwrite
/usr/bin/wkdemenu.pl
/usr/bin/wm-oldmenu2new
/usr/bin/wmaker
/usr/bin/wmaker.inst
/usr/bin/wmsetbg
/usr/bin/wsetfont
/usr/bin/wxcopy
/usr/bin/wxpaste
/usr/X11R6/bin/*
/usr/lib/GNUstep/Apps/WPrefs.app
/usr/share/WindowMaker
/usr/share/pixmaps/*
/usr/share/WINGs
/etc/X11/gdm/Sessions/*
%{_mandir}/*/*

%files -n WindowMaker-libs
%defattr(-,root,root)
/usr/lib/lib*
/usr/include/*
/usr/bin/get-wings-flags
/usr/bin/get-wraster-flags
/usr/bin/get-wutil-flags


%changelog
* Tue Sep  3 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.65.1-3
- repaired the .Big5 patch to the wmaker.inst script; #52900

* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.65.1-2
- fixed accedentally excluded fontpath patch
- upgraded to the /real/ wmclock; #50978
- fixed the charsets of the internationalization
- cleaned up runinst patch
- normalized patch and source numbers

* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.65.1-1
- upgraded to 0.65.1 to get buffer overflow bug fix; #51998
- fix WINGs/*.h install location bug; #36692

* Tue Jul 31 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix CJK resources (#50510)

* Fri Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- add url to spec file
- add WindowMaker to gdm
- patch gnome support on multiple displays, ala bug #30955

* Fri Mar 30 2001 Crutcher Dunnavant <crutcher@redhat.com>
- iterate to 0.65.0, remove MMX patch, which no longer
- applies

* Fri Mar 30 2001 Crutcher Dunnavant <crutcher@redhat.com>
- adjust menu paths patch

* Thu Mar 15 2001 Crutcher Dunnavant <crutcher@redhat.com>
- update to 0.64.0

* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Tue Sep 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Move the get-foo-flags programs to the libs package.
  This should fix #17880

* Wed Aug  9 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Fixed some menu typos (BUG#15811)

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuild against new libpng

* Tue Jul 18 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Changed the default icon position to Top Right Horizontal

* Wed Jul 15 2000 Crutcher Dunnavant <crutcher@redhat.com>
- disable mmx, it generates bad pixmap code in 16 bpp

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added %%defattr to WindowMaker-libs

* Fri Jun 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%configure, %%{_mandir}, %%makeinstall and
  %%{_tmppath}
- Many minor changes to spec file to make it build

* Fri May 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove patch which adds wmconfig support
- remove patch which XFree86 4 patch - no longer necesarry
- add tr and sk to LINGUAS

* Fri May 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- let system handle stripping and gzipping
- remove exec-prefix
- add version to name of buildroot

* Mon May 1 2000 Trond Eivind Glomsrd <teg@redhat.com>
- renamed libwraster to WindowMaker-libs, and added 
  the other headers and libraries.

* Tue Apr 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build

* Mon Apr 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed a missing "," in WMRootMenu
- run ldconfig after installing libwraster

* Wed Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- gzipped man pages
- split off wraster into a separate package

* Tue Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- version 0.62.1
- redid two of the patches

* Tue Feb 15 2000 Preston Brown <pbrown@redhat.com>
- provides windowmanager

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- version 0.61.1

* Wed Sep 29 1999 Cristian Gafton <gafton@redhat.com>
- get patch from CVS to fix the OPEN_MENU problems
- Fixed the totally broken session save function so that WindowMaker will
  stop segfaulting on exit for good.

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- version 0.61.0

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- fix default menu problem

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.60.0

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
